Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date: Fri, 7 Oct 2016 16:46:11 +0530 (IST)
From: P J P <ppandit@...hat.com>
To: oss security list <oss-security@...ts.openwall.com>
cc: Li Qiang <liqiang6-s@....cn>
Subject: CVE request Qemu: usb: hcd-ehci: memory leak in ehci_process_itd

   Hello,

Qemu emulator(Qemu) built with the USB EHCI emulation support is vulnerable to 
a memory leakage flaw. It could occur while processing isochronous transfer 
descriptors(iTD), with buffer page select(PG) index that falls beyond buffer 
page array area.

A privileged user inside guest could use this flaw to leak Qemu memory bytes 
leading to a DoS on the host.

Upstream fix:
-------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg06609.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1382668

This issue was reported by Li Qiang of 360.cn Inc.

Thank you.
--
Prasad J Pandit / Red Hat Product Security Team
47AF CE69 3A90 54AA 9045 1053 DD13 3D32 FE5B 041F

Powered by blists - more mailing lists

Your e-mail address:

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Powered by Openwall GNU/*/Linux - Powered by OpenVZ